[A002]Innovation Word Cloud (keywords & ipc Search)

get
https://connect.patsnap.com/insights/word-cloud
Try in Sandbox

A snapshot view of the keywords and phrases found within records in the technology space. This can be used to influence subsequent patent searches by making you aware of the more common terms used in this technology space.The Word Cloud displays the most frequently occurring keywords of the most recent 5,000 publications in the technology field. Returns up to the top 100 keywords.

Search must contain either keywords or IPC. If search contains both parameters, IPC will be prioritized.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
keywords
stringcar
Searches for keywords within patent title and summary. Supports AND, OR, NOT search logic, for example "mobile phone AND (screen OR battery)".
ipc
stringB66B11
Patent IPC classification
apply_start_time
string2010
Patent apply date from, format:yyyy
apply_end_time
string2020
Patent apply date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
public_end_time
string2020
Patent publication date to, format:yyyy
authority
stringCN
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP
lang
Required
stringen
Select the language , the default language is en, you can choose cn or en.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
name
stringelectronic device
Key concepts
count
integer<int32>37
Patents
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "name": "electronic device",
      "count": 37
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success